Subject: RE: [rohc] Tsc field interpretation for RFC 3095

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Wed, 10 Sep 2003 08:59:27 +0200

Hi all implementer's,

Please let us know your views of this. My interpretation is that
Tsc apply to the whole TS, i.e. also if there are no TS bits in
the extension part. That is what I believe the RFC says.

/L-E

> -----Original Message-----
> From: Alan Kennington [mailto:[email-masked]]
> Sent: den 20 juli 2003 02:14
> To: ROHC mailing list
> Cc: Alan Kennington
> Subject: [rohc] Tsc field interpretation for RFC 3095
> 
> 
> I've just come across another small apparent ambiguity in RFC 3095.
> 
> For the extension type 3, the RFC has this on page 85:
> 
> ================================================
>       0     1     2     3     4     5     6     7
>    +-----+-----+-----+-----+-----+-----+-----+-----+
>    |  1     1  |  S  |R-TS | Tsc |  I  | ip  | rtp |          
>   (FLAGS)
>    +-----+-----+-----+-----+-----+-----+-----+-----+
> 
> [....]
> 
>       S, R-TS, I, ip, rtp, ip2: Indicate presence of fields 
> as shown to
>       the right of each field above.
> 
>       Tsc: Tsc = 0 indicates that TS is not scaled;
>            Tsc = 1 indicates that TS is scaled according to section
>            4.5.3, using value(TS_STRIDE).
>            Context(Tsc) is always 1.  If scaling is not desired, the
>            compressor will establish TS_STRIDE = 1.
> 
>       SN: See the beginning of section 5.7.
> 
>       TS: Variable number of bits of TS, encoded according to
>           section 4.5.6.  See the beginning of section 5.7.
> ================================================
> 
> Suppose I have R-TS = 0.
> This means there is no TS field in the extension 3.
> 
> Question: Does this mean that Tsc is ignored?
> In other words, does Tsc only apply to the TS field in the 
> extension 3?
> If I send a UOR-2 with extension 3 with R-TS = 0 and Tsc = 0, 
> does this mean
> that the 6 bits of TS in the base header are unscaled?
> Both interpretations seem reasonable.
> 
> Could someone please tell me what the current consensus on this is?
> I think this should be in the ROHC implementer's guide.
> 
> Cheers,
> Alan Kennington.
> 
> --------------------------------------------------------------------
>     name: Dr. Alan Kennington
>  website: http://www.topology.org/
>     city: Adelaide, South Australia
>   coords: 138.59 E, 34.88 S
> timezone: UTC+0930 http://www.topology.org/site/timezone.html
>  pgp-key: http://www.topology.org/ak/key_ak2.asc
>     note: My e-mail address often changes due to spam abuse.
>     note: If your e-mail bounces, please visit 
> topology.org/extra/email.php
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Remi Pelland <[email-masked]>
Date: Thu, 11 Sep 2003 09:43:41 -0400

Hi Lars-Erik,

I agree with your interpretation of the Tsc field.

Remi.

-----Original Message-----
From: Lars-Erik Jonsson (LU/EAB) [mailto:[email-masked]]
Sent: Wednesday, September 10, 2003 2:59 AM
To: ROHC mailing list
Subject: RE: [rohc] Tsc field interpretation for RFC 3095

Hi all implementer's,

/L-E